<?php
/**
 * Main class for handling blocks registration.
 *
 * @package Omnipress
 */

namespace Omnipress;

use Omnipress\Abstracts\BlocksBase;

/**
 * Exit if accessed directly.
 */
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * Main class for handling blocks registration.
 *
 * @since 1.1.0
 */
class Blocks extends BlocksBase {

	/**
	 * {@inheritDoc}
	 */
	public static function get_dirpath() {
		return OMNIPRESS_PATH . 'assets/blocks';
	}

	/**
	 * {@inheritDoc}
	 */
	public static function get_blocks() {
		return array();
	}

	/**
	 * {@inheritDoc}
	 */
	public static function register_category( $block_categories ) {
		return array_merge(
			$block_categories,
			array(
				array(
					'slug'  => 'omnipress',
					'title' => __( 'Omnipress', 'omnipress' ),
				),
			)
		);
	}
}
